Skip to main content
Nowledge MemNowledge Mem

Get Live Preview Graph

GET
/graph/live-preview

Get a compact merged 1-hop graph for feed/live preview surfaces.

Query Parameters

node_ids*Node Ids

Comma-separated memory IDs to preview as graph seeds

Length1 <= length
limit_per_seed?Limit Per Seed

Maximum direct neighbors to include for each seed node

Range1 <= value <= 20
Default5
space_id?|

Optional memory space lens for the graph

Response Body

application/json

application/json

curl -X GET "https://example.com/graph/live-preview?node_ids=string"
{  "communities": [    {      "algorithm": "louvain",      "description": "",      "id": "string",      "member_count": 0,      "metadata": {},      "name": "string",      "resolution": 1,      "strength": 1    }  ],  "community_hulls": [    {      "color": "#9B59B6",      "community_id": "string",      "community_name": "string",      "hull_type": "convex",      "member_count": 0,      "member_nodes": [        "string"      ],      "metadata": {},      "opacity": 0.1,      "stroke_color": "#8E44AD",      "stroke_width": 2    }  ],  "edges": [    {      "edge_type": "string",      "id": "string",      "label": "string",      "metadata": {        "conditions": "string",        "confidence": 0,        "context": "string",        "description": "string",        "hop_count": 0,        "path_length": 0,        "path_position": 0,        "relation_type": "string",        "relationship_type": "string",        "source_id": "string",        "source_name": "string",        "source_reference": "string",        "strength": 0,        "target_id": "string",        "target_name": "string",        "temporal_info": "string",        "total_path_length": 0,        "visualization": {}      },      "relevance_score": 0,      "source": "string",      "target": "string",      "weight": 0    }  ],  "metadata": {    "entity_nodes": 0,    "error": "string",    "filter_type": "string",    "memory_nodes": 0,    "mention_edges": 0,    "query_method": "string",    "relationship_edges": 0,    "total_communities": 0,    "total_edges": 0,    "total_nodes": 0,    "traversal_depth": 0  },  "nodes": [    {      "color": "string",      "community": "string",      "hop_count": 0,      "id": "string",      "importance": 0,      "label": "string",      "metadata": {        "community_id": 0,        "confidence": 0,        "content": "string",        "created_at": "string",        "degree": 0,        "description": "string",        "entity_count": 0,        "entity_type": "string",        "hop_count": 0,        "importance": 0,        "pagerank_score": 0,        "source": "string",        "thread_id": "string",        "title": "string",        "updated_at": "string"      },      "node_subtype": "string",      "node_type": "string",      "pagerank_score": 0,      "size": 0,      "thread_id": "string"    }  ],  "visualization_config": {    "edge_weight_range": [      0    ],    "layout_recommendations": {},    "node_size_range": [      0    ]  }}